<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary ml-1">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-3">
          <label class="w-100">Acceso</label>
          <div class="input-group">
            <input type="tel" pattern="[0-9]*" class="form-control" formControlName="Acceso" [readonly]="flagEdit"
            maxlength="10">
          </div>
        </div>
        <div class="col-4">
          <div class="form-group">
            <label>Descripción</label>
            <input type="text" formControlName="Descripcion" class="form-control" maxlength="30">
          </div>
        </div>
        <div class="col-3">
          <label class="w-100">Código</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="codigo" readonly>
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal, 'telefonosAreaCod')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-2">
          <label class="w-100">TL</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="TL" readonly>
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal, 'telefonosTL')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;"
      class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Acceso" title="Acceso" width="70"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción" width="250"></kendo-grid-column>
        <kendo-grid-column field="codigo" title="Código" width="150"></kendo-grid-column>
        <kendo-grid-column field="TL" title="T. Llamada" width="150"></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-telefonos-codigo (telefonosAreaCod)="getDataModal($event, 'telefonosAreaCod'); c();"
      *ngIf="modalType === 'telefonosAreaCod'"></app-help-telefonos-codigo>
    <app-help-telefonos-tipo-llamada (telefonosTL)="getDataModal($event, 'telefonosTL'); c();"
      *ngIf="modalType === 'telefonosTL'"></app-help-telefonos-tipo-llamada>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>
